﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="HierarchicalGridHideRows.WebForm1" %>

<%@ Register Assembly="Infragistics45.Web.v21.2, Version=21.2.20212.9, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">  
    .hidenRow
    {
        visibility:hidden;
        display:none;
    }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
            <ig:WebHierarchicalDataGrid ID="WebHierarchicalDataGrid1" runat="server" Height="550px" Width="800px" 
                AutoGenerateBands="False" AutoGenerateColumns="False" DataKeyFields="CustomerID" InitialDataBindDepth="-1" Key="CustomersTable">     
                
                <GroupingSettings EnableColumnGrouping="True" GroupAreaVisibility="Visible" GroupByAreaLocation="Top"/>

                 <Bands>
                    <ig:Band DataKeyFields="OrderID" Key="OrdersTable" AutoGenerateColumns="false" DataMember="OrdersTable">
                        <Columns>
                            <ig:BoundDataField DataFieldName="CustomerID"  Key="CustomerID">
                                <Header Text="CustomerID">
                                </Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="OrderID"  Key="OrderID">
                                <Header Text="OrderID">
                                </Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="Date"  Key="Date">
                                <Header Text="Date">
                                </Header>
                            </ig:BoundDataField> 
                             <ig:BoundDataField DataFieldName="Size" Key="Size">
                                <Header Text="Size" />     
                            </ig:BoundDataField>
                        </Columns>
                        <Behaviors>                   
                            <ig:EditingCore>                        
                                <Behaviors>
                                    <ig:CellEditing EditModeActions-EnableOnActive="true" >                               
                                        <ColumnSettings>
                                            <ig:EditingColumnSetting ColumnKey="Size" EditorID="WebHierarchicalDataGrid1_DropDownProvider1" />
                                        </ColumnSettings>
                                        <EditModeActions EnableOnActive="True"></EditModeActions>
                                    </ig:CellEditing>
                                </Behaviors>
                            </ig:EditingCore>
                            <ig:Sorting>
                            </ig:Sorting>
                      </Behaviors>           
                    </ig:Band>                     
                </Bands>

                 <EditorProviders>
                     <ig:DropDownProvider ID="WebHierarchicalDataGrid1_DropDownProvider1">
                         <EditorControl ClientIDMode="Predictable" DropDownContainerMaxHeight="200px" EnableAnimations="False" EnableDropDownAsChild="False">
                         </EditorControl>
                     </ig:DropDownProvider>
                </EditorProviders>

                 <Columns>   
                     <ig:BoundDataField DataFieldName="CustomerID" Key="CustomerID">
                        <Header Text="CustomerID" />
                    </ig:BoundDataField>  
                     <ig:BoundDataField DataFieldName="Name" Key="Name">
                        <Header Text="Name" />
                    </ig:BoundDataField>  
                     <ig:BoundDataField DataFieldName="Date" Key="Date">
                        <Header Text="Date" />     
                     </ig:BoundDataField>                     
                </Columns>
                
                <Behaviors>
                    <ig:Activation>
                    </ig:Activation>
                    <ig:EditingCore>                        
                        <Behaviors>
                            <ig:CellEditing EditModeActions-EnableOnActive="true" >                               
                                <EditModeActions EnableOnActive="True"></EditModeActions>
                            </ig:CellEditing>
                        </Behaviors>
                    </ig:EditingCore>
                    <ig:Sorting>
                    </ig:Sorting>
                </Behaviors>            
            </ig:WebHierarchicalDataGrid>    
            <asp:Button ID="Button1" runat="server" Text="Button" />
        </div>
    </form>
</body>
</html>
